import { BehaviorSubject } from 'rxjs/BehaviorSubject';
import { Observable } from 'rxjs/Observable';
import { User } from '../../models/user.model';
import { Tree } from '../../interfaces/tree.interface';
export declare class SessionServiceStub {
    private _user;
    readonly user: User;
    userEvent: BehaviorSubject<User>;
    editUser(user: User): void;
    emptyUser(): void;
    currentCountryClass(): Observable<string[]>;
    currentTree(): Observable<Tree>;
    editTree(): void;
}
